<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'asadi',

    /*
     * Package.
     */
    'package'   => 'admission',

    /*
     * Modules.
     */
    'modules'   => ['admission'],

    'image'    => [

        'sm' => [
            'width'     => '140',
            'height'    => '140',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'md' => [
            'width'     => '370',
            'height'    => '420',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'lg' => [
            'width'     => '780',
            'height'    => '497',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '800',
            'height'    => '530',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

    ],

    'admission'       => [
        'model'             => 'Asadi\Admission\Models\Admission',
        'table'             => 'admissions',
        'presenter'         => \Asadi\Admission\Repositories\Presenter\AdmissionItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'id',  'name',  'dob',  'gender',  'nationality',  'city',  'state',  'pincode',  'phone',  'mobile',  'guardian',  'permenant_address',  'description',  'sslc',  'plustwo',  'qualifying_exam',  ''HSC',  ''Others')',  'nata_score',  'deleted_at',  'created_at',  'updated_at'],
        'translate'         => ['id',  'name',  'dob',  'gender',  'nationality',  'city',  'state',  'pincode',  'phone',  'mobile',  'guardian',  'permenant_address',  'description',  'sslc',  'plustwo',  'qualifying_exam',  ''HSC',  ''Others')',  'nata_score',  'deleted_at',  'created_at',  'updated_at'],

        'upload_folder'     => 'admission/admission',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
        /*
        'workflow'      => [
            'points' => [
                'start' => 'draft',
                'end'   => ['delete'],
            ],
            'steps'  => [
                'draft'     => [
                    'label'  => "Admission created",
                    'action' => ['setStatus', 'draft'],
                    'next'   => ['complete'],
                ],
                'complete'  => [
                    'label'  => "Admission completed",
                    'status' => ['setStatus', 'complete'],
                    'next'   => ['verify'],
                ],
                'verify'    => [
                    'label'  => "Admission verified",
                    'action' => ['setStatus', 'verify'],
                    'next'   => ['approve'],
                ],
                'approve'   => [
                    'label'  => "Admission approved",
                    'action' => ['setStatus', 'approve'],
                    'next'   => ['publish'],
                ],
                'publish'   => [
                    'label'  => "Admission published",
                    'action' => ['setStatus', 'publish'],
                    'next'   => ['unpublish', 'delete', 'target', 'archive'],
                ],
                'unpublish' => [
                    'label'  => "Admission unpublished",
                    'action' => ['setStatus', 'unpublish'],
                    'next'   => ['publish', 'target', 'archive', 'delete'],
                ],
                'archive'   => [
                    'label'  => "Admission archived",
                    'action' => ['setStatus', 'archive'],
                    'next'   => ['publish', 'delete'],
                ],
                'delete'    => [
                    'Label'  => "Admission deleted",
                    'status' => ['delete', 'archive'],
                ],
            ],
        ],
        */
    ],
];
