<?php

namespace Asadi\Admission\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Asadi\Admission\Interfaces\AdmissionRepositoryInterface;

class AdmissionPublicController extends BaseController
{
    // use AdmissionWorkflow;

    /**
     * Constructor.
     *
     * @param type \Asadi\Admission\Interfaces\AdmissionRepositoryInterface $admission
     *
     * @return type
     */
    public function __construct(AdmissionRepositoryInterface $admission)
    {
        $this->repository = $admission;
        parent::__construct();
    }

    /**
     * Show admission's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $admissions = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('admission::public.admission.index', compact('admissions'))->render();
    }

    /**
     * Show admission.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $admission = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('admission::public.admission.show', compact('admission'))->render();
    }

}
