<?php

namespace Asadi\Admission\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AdmissionItemTransformer extends TransformerAbstract
{
    public function transform(\Asadi\Admission\Models\Admission $admission)
    {
        return [
            'id'                => $admission->getRouteKey(),
            'id'                => $admission->id,
            'name'              => $admission->name,
            'dob'               => $admission->dob,
            'gender'            => $admission->gender,
            'nationality'       => $admission->nationality,
            'city'              => $admission->city,
            'state'             => $admission->state,
            'pincode'           => $admission->pincode,
            'phone'             => $admission->phone,
            'mobile'            => $admission->mobile,
            'guardian'          => $admission->guardian,
            'permenant_address' => $admission->permenant_address,
            'description'       => $admission->description,
            'sslc'              => $admission->sslc,
            'plustwo'           => $admission->plustwo,
            'qualifying_exam'   => $admission->qualifying_exam,
            ''HSC'              => $admission->'HSC,
            ''Others')'         => $admission->'Others'),
            'nata_score'        => $admission->nata_score,
            'deleted_at'        => $admission->deleted_at,
            'created_at'        => $admission->created_at,
            'updated_at'        => $admission->updated_at,
            'status'            => trans('app.'.$admission->status),
            'created_at'        => format_date($admission->created_at),
            'updated_at'        => format_date($admission->updated_at),
        ];
    }
}