<?php

namespace Asadi\Admission\Workflow;

use Asadi\Admission\Models\Admission;
use Asadi\Admission\Notifications\Admission as AdmissionNotifyer;
use Notification;

class AdmissionNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Admission $admission
     *
     * @return void
     */
    public function complete(Admission $admission)
    {
        return Notification::send($admission->user, new AdmissionNotifyer($admission, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Admission $admission
     *
     * @return void
     */
    public function verify(Admission $admission)
    {
        return Notification::send($admission->user, new AdmissionNotifyer($admission, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Admission $admission
     *
     * @return void
     */
    public function approve(Admission $admission)
    {
        return Notification::send($admission->user, new AdmissionNotifyer($admission, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Admission $admission
     *
     * @return void
     */
    public function publish(Admission $admission)
    {
        return Notification::send($admission->user, new AdmissionNotifyer($admission, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Admission $admission
     *
     * @return void
     */
    public function archive(Admission $admission)
    {
        return Notification::send($admission->user, new AdmissionNotifyer($admission, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Admission $admission
     *
     * @return void
     */
    public function unpublish(Admission $admission)
    {
        return Notification::send($admission->user, new AdmissionNotifyer($admission, 'unpublish'));;

    }
}
